Package ru.bitel.bgbilling.modules.voiceip.server.bean

# Class VoiceIpReportUtils

java.lang.Object
bitel.billing.server.call.bean.ReportUtils
ru.bitel.bgbilling.modules.voiceip.server.bean.VoiceIpReportUtils

public class VoiceIpReportUtils extends ReportUtils

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.call.bean.ReportUtils

  `con, loginManager, mid, moduleSetup, unit, unit_scale`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceIpReportUtils(Connection con, int mid, Preferences moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter)`
  `void`
  `addLoginsAmounts(Period period, int cid, Element data, String module, String filter)`
  `void`
  `addSessions(ResultSet rs, Element data)`
  `int`
  `addSums(Element data, List<Integer> lids, Period per, String filter)`

  ### Methods inherited from class bitel.billing.server.call.bean.ReportUtils

  `addSessions, getLoginManager, getReportUtils, getSessionsColSumTimeTinTout, getSessionsColSumTimeTinTout, getSessionTableName, selectSomethingFromSessions, selectSomethingFromSessions, selectSomthFromSessions, selectSomthFromSessions, setUnit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceIpReportUtils

    public VoiceIpReportUtils(Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### addSessions

    public void addSessions(ResultSet rs, Element data)
    Overrides:
      `addSessions` in class `ReportUtils`
    See Also:
      - `ReportUtils.addSessions(java.sql.ResultSet, org.w3c.dom.Element)`

  - ### addLoginsAmounts

    public void addLoginsAmounts(Period period, int cid, Element data, String module, String filter) throws SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, org.w3c.dom.Element, java.lang.String, java.lang.String)`

  - ### addLoginsAmounts

    public void addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter) throws SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, java.util.Map, java.lang.String, java.lang.String)`

  - ### addSums

    public int addSums(Element data, List<Integer> lids, Period per, String filter) throws SQLException
    Specified by:
      `addSums` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addSums(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, java.lang.String)`